Page MenuHomePhabricator

Special:ValidationStatistics uses align attribute (obsolete in HTML5)
Closed, ResolvedPublic

Description

Most of the <tr>s on [[de:Spezial:Markierungsstatistik]] use the obsolete attribute align. Use CSS instead.


Version: unspecified
Severity: trivial
URL: http://www.w3.org/TR/html5-diff/#obsolete-attributes

Details

Reference
bz40215

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:51 AM
bzimport set Reference to bz40215.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.Sep 13 2012, 8:36 AM

I wonder if individual bugs about the align attribute are needed. Maybe one bug could be used? I feel like this something that's simple enough to grep for across the core and extensions codebase.

He7d3r added a subscriber: He7d3r.Jun 4 2015, 4:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 3:08 PM
Nemo_bis set Security to None.

Change 267154 had a related patch set uploaded (by IoannisKydonis):
Replace obsolete HTML attributes with CSS.

https://gerrit.wikimedia.org/r/267154

The obsolete align attribute is present in more files of FlaggedRevs other than Special:ValidationStatistics.

Change 267154 merged by jenkins-bot:
Replace obsolete HTML attributes with CSS.

https://gerrit.wikimedia.org/r/267154

Izno closed this task as Resolved.Nov 11 2016, 12:37 AM
Izno added a subscriber: Izno.

I checked the page in question. It looks like the issue was fixed with the merge from February and subsequent (apparent?) deploy in March.

Consider opening other tasks for other described issues.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 11 2016, 12:37 AM